Node.js 0.8.15 npm错误:无法找到模块’proto-list’

我通过源代码编译在Ubuntu 11.10 x64上安装了最新的Node.js(0.8.15).

 ./configure --dest-cpu=x64
 make
 sudo make install

一切都很好,Node.js工作正常,但是npm不想正常工作.它为任何npm命令提供以下错误

Error: Cannot find module 'proto-list'
    at Function.Module._resolveFilename (module.js:338:15)
    at Function.Module._load (module.js:280:25)
    at Module.require (module.js:362:17)
    at require (module.js:378:17)
    at Object. (/usr/local/lib/node_modules/npm/node_modules/npmconf/node_modules/config-chain/index.js:2:17)
    at Module._compile (module.js:449:26)
    at Object.Module._extensions..js (module.js:467:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Module.require (module.js:362:17)

顺便说一句,我定期更新我的Node.js,我以前的版本是Node.js 0.8.12,其中npm工作正常.
有谁知道如何解决这种情况?或者我做错了什么?

先感谢您

看起来你想要一个没有安装的模块!??

尝试

npm install proto-list
相关文章
相关标签/搜索